/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.web.processors;

import org.wso2.registry.Registry;
import org.wso2.registry.Resource;
import org.wso2.registry.exceptions.RegistryException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class UpdateContentTextProcessor extends UIProcessor {

    public void process(HttpServletRequest request, HttpServletResponse response) {

        String path = request.getParameter("resourcePath");
        String contentString = request.getParameter("contentText");

        try {
            Registry registry = getUserRegistry(request);
            Resource resource = registry.get(path);
            resource.setContent(contentString.getBytes());
            registry.put(path, resource);

            byte[] content = (byte[]) resource.getContent();
            contentString = "";
            if (content != null) {
                contentString = new String(content);
            }

            String contentHTML = "<br/><textarea rows=\"30\" cols=\"70\" readonly=\"readonly\">" +
                    contentString + "</textarea><br/>";
            sendContent(response, contentHTML);

            resource.discard();

        } catch (RegistryException e) {

            String msg = "Could not update the content of the resource " +
                    path + ". Caused by: " + e.getMessage();
            log.error(msg, e);
            sendErrorContent(response, msg);
        }
    }
}
