<%--
  This is the main jsp page used to generate the Resources page of Registry UI. This will include
  various sub pages to contruct the different sections of the Resources page.
--%>
<%@ page import="org.wso2.registry.web.UIConstants" %>
<%@ page import="org.wso2.registry.web.beans.CommonBean" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%--<jsp:useBean id="common" class="org.wso2.registry.web.beans.CommonBean" scope="session"/>--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">



<%
    HttpSession mySession = request.getSession();

    CommonBean common = (CommonBean) request.getSession().getAttribute(UIConstants.COMMON_BEAN);

    String errorMessage = (String) mySession.getAttribute(UIConstants.ERROR_MESSAGE);
    if (errorMessage != null) {
        mySession.setAttribute(UIConstants.ERROR_MESSAGE, null);
    }

    String successMessage = (String) mySession.getAttribute(UIConstants.SUCCESS_MESSAGE);
    if (successMessage != null) {
        mySession.setAttribute(UIConstants.SUCCESS_MESSAGE, null);
    }
%>

<html>
<head>
    <script language="javascript" type="text/javascript"
            src="/wso2registry/admin/js/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/wso2registry/admin/js/validation.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/wso2registry/admin/js/common.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/wso2registry/admin/js/prototype.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/wso2registry/admin/js/aculo/src/scriptaculous.js"></script>

    <!-- tinyMCE -->
    <script language="javascript" type="text/javascript">
        tinyMCE.init({
            mode : "none",
            theme : "advanced",
            theme_advanced_toolbar_location : "top"
        });

        window.onresize = function() {
            fixResourceTable();

        }

    </script>

    <!-- /tinyMCE -->
    <link type="text/css" href="/wso2registry/admin/css/main.css" rel="stylesheet"/>
    <link rel="alternate" type="application/rss+xml" title="WSO2 Registry - <%=common.getPath()%> (Atom)"
          href="/wso2registry/atom<%=common.getPath()%>">
    <title>WSO2 Registry</title>
</head>
<body onload="loadMediaTypes();fixResourceTable();applyPanelState();">

<div class="page-sizer">
<!-- START header content -->

<jsp:include page="header.jsp"/>

<!--This is the START of main table which seperates 2 coloums for promotions and content of the site -->
<table cellpadding="0" cellspacing="0" border="0" style="width:100%;">

<tr>

<td class="promotionDiv" valign="top">
    <jsp:include page="promotion.jsp"/>
</td>

<td valign="top">

<div class="content">

<% if (errorMessage != null) { %>
<div class="error-message"><%=errorMessage%>
</div>
<% } %>

<% if (successMessage != null) { %>
<div class="success-message"><%=successMessage%>
</div>
<% } %>

<h1 class="headding-resource"><% if (!common.isVersionView()) { %>
    Resource<% } %><% if (common.isVersionView()) { %>Version<% } %></h1>


<table cellspacing="0" cellpadding="0" border="0" style="width:100%">
<tr>
<td class="leftColoumSizer" id="leftColoum" valign="top">

<jsp:include page="resource-metadata.jsp"/>

<script type="text/javascript" xml:space="preserve">
    //new Ajax.Updater('descView', '/wso2registry/system/getDescription', { method: 'get', parameters: {resourcePath: '<%=common.getPath()%>'} });
    //document.getElementById('descEdit').textContent = document.getElementById('descView').innerHTML;
</script>

<!-- Page main information Ends here -->

<!-- Start Entries -->

<jsp:include page="content.jsp"/>

<!-- End Entries -->


<!-- Start Permissions -->

<jsp:include page="permisions.jsp"/>

</td>
<td valign="top" style="width:7px;" align="center">
    <div style="position:absolute;margin-top: -30px;">
    <img align="right" src="/wso2registry/admin/images/showRight.gif" id="rightHideImg" onclick="showHideCommon('rightHideImg');showHideCommon('rightShowImg');showHideRight();" style="cursor:pointer;" />
    <img align="right" src="/wso2registry/admin/images/hideRight.gif" id="rightShowImg" onclick="showHideCommon('rightHideImg');showHideCommon('rightShowImg');showHideRight();" style="cursor:pointer;postion:absolute;margin-left:20px;" />
    </div>
</td>
<td class="rightColumnSizer" id="rightColumn" valign="top">

<!-- Tag cloude box starts here -->

<jsp:include page="tag-section.jsp"/>

<!-- ------------------------------------------------- -->


<!-- Here comes the comments box -->

<jsp:include page="comment-section.jsp"/>

<!-- END add comment box -->

<jsp:include page="lifecycle-section.jsp"/>

<!-- Start dependencies div -->

<jsp:include page="dependencies-section.jsp"/>

<!-- ------------------------------------------------- -->

<!-- End dependencies div -->


<!-- Start association div -->

<jsp:include page="associations-section.jsp"/>

<!-- ------------------------------------------------- -->

<!-- End associations div -->

</td>
</tr>
</table>

</div>

</table>

<!--This is the END of main table which seperates 2 coloums for promotions and content of the site -->


<!-- START footer content -->
<jsp:include page="footer.jsp"/>

</div>
<div id="resourceTree" style="display:none" class="resourceTreePage">
    <div class="ajax-loading-message">
        <img src="/wso2registry/admin/images/ajax-loader.gif" align="top"/>
        <span>Resource tree loading please wait ..</span>
    </div>
</div>


</body>
</html>
